### Method

# Adw ButtonContentset_icon_name

#### Declaration [src]

    void
    adw_button_content_set_icon_name (
      AdwButtonContent* self,
      const char* icon_name
    )

#### Description [src]

Sets the name of the displayed icon.

If empty, the icon is not shown.

Sets property | `Adw.ButtonContent:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The new icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.